
Runtime Infrastructure - Bug #2860

Support # 2696 (New): security review

implement proper server certificate validation in spawned clients

11/19/2015 02:10 PM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD version:  

Description

Related issues:

Related to User Interface - Bug #2778: ./ask-gui.p fails if "Program name" is... Closed 10/23/2015

History

#1 - 11/19/2015 02:14 PM - Greg Shah

The current web client disables server certificate validation when connecting.  This is insecure and makes our code vulnerable to man-in-the-middle

(MITM) attacks.  The solution is to provide the server's certificate and/or proper CA in a truststore that is sent down to the client via the temporary

client session.  Or, if the already existing keystore is enough, to make it work properly.

For more details, see #2778-97.

At a minimum this security issue affects the web client.

#2 - 11/19/2015 04:25 PM - Greg Shah

- Status changed from New to Closed

Fixed in task branch 2677a revision 11065.
